Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4637 - /dev/console have wrong permissions
Summary: /dev/console have wrong permissions
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL: http://www.xfree86.org/FAQ/#LinuxConsole
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-21 07:37 UTC by pianosolo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 14:34:36 UTC


Attachments (Terms of Use)

Description pianosolo 1999-08-21 07:37:01 UTC
Hi!

A bug about /dev/console has been reported here :
http://www.xfree86.org/FAQ/#LinuxConsole

But no one seems to have made the changes in the
distribution (?!?).

Currently, /dev/console is (600,root,root). Running "cd /dev
; ./MAKEDEV console" turns /dev/console to (622,root,tty).

I suggest an erratum for package "dev" to correct this
problem right at the source.

Comment 1 Preston Brown 1999-08-23 14:34:59 UTC
/dev/console is now automatically assigned ownership to the user that
is logged in by the PAM authentication subsystem, so this is not
necessary.  It will also automatically revert to root ownership when
the console user logs out.


Note You need to log in before you can comment on or make changes to this bug.